<?xml version="1.0" encoding="UTF-8"?>
<SAN_Simulator>
	<Class Name="LSISSI_StorageSystem" Namespace="/root/lsissi" NOI="" CfgExp="[NUMBER_OF_STORAGE_SYSTEM]">
        <Property Name="SupportsProvisioning" Type="boolean" Random="false">
            <Value>true</Value>
        </Property>
        <Property Name="CacheBlockSize" Type="uint64" Random="false">
            <Value>4096</Value>
        </Property>
        <Property Name="OperationalStatus" Type="uint16[]" Random="false">
            <Value>3</Value>
        </Property>
        <Property Name="ElementName" Type="string" Random="false">
            <Value>swarm-200</Value>
        </Property>
        <Property Name="Manufacturer" Type="string" Random="false">
        </Property>
        <Property Name="ProductID" Type="string" Random="false">
        </Property>
        <Property Name="ManagementClassName" Type="string" Random="false">
            <Value>devmgr.v0830api00.Manager</Value>
        </Property>
        <Property Name="LastBootTime" Type="datetime" Random="false">
        </Property>
        <Property Name="NVSRAMVersion" Type="string" Random="false">
            <Value>NV3542R710NT012</Value>
        </Property>
        <Property Name="DemandFlushAmount" Type="uint32" Random="false">
            <Value>7</Value>
        </Property>
        <Property Name="DemandFlushThreshold" Type="uint32" Random="false">
            <Value>19</Value>
        </Property>
        <Property Name="MaxHotSpares" Type="uint32" Random="false">
            <Value>15</Value>
        </Property>
        <Property Name="CacheBlockSizes" Type="uint32[]" Random="false">
            <Value></Value>
        </Property>
        <Property Name="MaxDCEDrives" Type="uint32" Random="false">
            <Value>2</Value>
        </Property>
        <Property Name="MaxReadAheadMultiplier" Type="uint32" Random="false">
            <Value>65535</Value>
        </Property>
        <Property Name="MediaScanPeriod" Type="sint32" Random="false">
            <Value>0</Value>
        </Property>
        <Property Name="MinMediaScanPeriod" Type="sint32" Random="false">
            <Value>1</Value>
        </Property>
        <Property Name="MaxMediaScanPeriod" Type="sint32" Random="false">
            <Value>30</Value>
        </Property>
        <Property Name="MappableLUNCount" Type="sint32" Random="false">
            <Value>32</Value>
        </Property>
        <Property Name="MaxPartitionCount" Type="sint32" Random="false">
            <Value>16</Value>
        </Property>
        <Property Name="MaxMappingsPerVolume" Type="sint32" Random="false">
            <Value>1</Value>
        </Property>
        <Property Name="MaxStorageVolumes" Type="sint32" Random="false">
            <Value>512</Value>
        </Property>
        <Property Name="MaxSnapshots" Type="sint32" Random="false">
            <Value>256</Value>
        </Property>
        <Property Name="MaxSnapshotsPerBase" Type="sint32" Random="false">
            <Value>4</Value>
        </Property>
        <Property Name="MinRepositorySize" Type="sint32" Random="false">
            <Value>8388608</Value>
        </Property>
        <Property Name="MaxMirrors" Type="sint32" Random="false">
            <Value>0</Value>
        </Property>
        <Property Name="MaxVolCopys" Type="sint32" Random="false">
            <Value>0</Value>
        </Property>
        <Property Name="MaxConcurrentBackgroundCopys" Type="sint32" Random="false">
            <Value>0</Value>
        </Property>
        <Property Name="VolXferAlertDelayPeriod" Type="sint32" Random="false">
            <Value>0</Value>
        </Property>
        <Property Name="ESMSoftwareVersion" Type="string[]" Random="false">
            <Value>9163</Value>
        </Property>
        <Property Name="NameFormat" Type="string" Random="false">
            <Value>NAA</Value>
        </Property>
        <Property Name="OtherIdentifyingInfo" Type="string[]" Random="false">
            <Value>20.04.00.a0.b8.0b.c4.9a</Value>
        </Property>
        <Property Name="IdentifyingDescriptions" Type="string[]" Random="false">
            <Value>Node WWN</Value>
        </Property>
        <Property Name="Dedicated" Type="uint16[]" Random="false">
            <Value>3</Value>
        </Property>
        <Property Name="OtherDedicatedDescriptions" Type="string[]" Random="false">
        </Property>
        <Property Name="ResetCapability" Type="uint16" Random="false">
            <Value>4</Value>
        </Property>
        <Property Name="PowerManagementCapabilities" Type="uint16[]" Random="false">
        </Property>
        <Property Name="CreationClassName" Type="string" Random="false" Key="true">
            <Value>LSISSI_StorageSystem</Value>
        </Property>
        <!-- 
        	Need to take property value from /root/lsissi11/LSISSI_StorageSystem:Caption
        -->
        <Property Name="Name" Type="string" Random="false" Key="true">
            <Value>60000000000000000000000000000051</Value>
        </Property>
        <Property Name="PrimaryOwnerName" Type="string" Random="false">
            <Value></Value>
        </Property>
        <Property Name="PrimaryOwnerContact" Type="string" Random="false">
            <Value></Value>
        </Property>
        <Property Name="Roles" Type="string[]" Random="false">
        </Property>
        <Property Name="EnabledState" Type="uint16" Random="false">
            <Value>5</Value>
        </Property>
        <Property Name="OtherEnabledState" Type="string" Random="false">
        </Property>
        <Property Name="RequestedState" Type="uint16" Random="false">
            <Value>5</Value>
        </Property>
        <Property Name="EnabledDefault" Type="uint16" Random="false">
            <Value>2</Value>
        </Property>
        <Property Name="TimeOfLastStateChange" Type="datetime" Random="false">
        </Property>
        <Property Name="InstallDate" Type="datetime" Random="false">
        </Property>
        <Property Name="StatusDescriptions" Type="string[]" Random="false">
        </Property>
        <Property Name="Status" Type="string" Random="false">
            <Value>None</Value>
        </Property>
        <!--
        	Value from /root/lsissi11/LSISSI_StorageSystem:Caption
        -->
        <Property Name="Caption" Type="string" Random="false">
            <Value>Storage ArraySimulated-101</Value>
        </Property>
        <Property Name="Description" Type="string" Random="false" Refers="Caption">
        </Property>
    </Class>
    
    <Class Name="LSISSI_Provider" Namespace="/root/lsissi" NOI="1">
        <Property Name="CreationClassName" Type="string" Random="false" Key="true">
            <Value>"LSISSI_Provider"
            </Value>
        </Property>
        <Property Name="BuildInfo" Type="string" Random="false" Key="true">
            <Value>"Version 1.1.0.614-Build99.16.G0.17  BuildDate 01/12/06:10:03"
            </Value>
        </Property>
    </Class>
    
    <Class Name="LSISSI_StorageConfigurationService" Namespace="/root/lsissi" NOI="" CfgExp="[NUMBER_OF_STORAGE_SYSTEM]">
        <Property Name="SystemCreationClassName" Type="string" Random="false" Key="true">
            <Value>LSISSI_StorageSystem</Value>
        </Property>
        <Property Name="SystemName" Type="string" Random="false" Key="true" Refers="Name" External="LSISSI_StorageSystem">
            <Value>600A0B80000BC456000000003E4BEC53</Value>
        </Property>
        <Property Name="CreationClassName" Type="string" Random="false" Key="true">
            <Value>LSISSI_StorageConfigurationService</Value>
        </Property>
        <Property Name="Name" Type="string" Random="false" Key="true">
            <Value>Storage Configuration Service</Value>
        </Property>
        <Property Name="PrimaryOwnerName" Type="string" Random="false">
        </Property>
        <Property Name="PrimaryOwnerContact" Type="string" Random="false">
        </Property>
        <Property Name="StartMode" Type="string" Random="false">
        </Property>
        <Property Name="Started" Type="boolean" Random="false">
            <Value>true</Value>
        </Property>
        <Property Name="EnabledState" Type="uint16" Random="false">
            <Value>5</Value>
        </Property>
        <Property Name="OtherEnabledState" Type="string" Random="false">
        </Property>
        <Property Name="RequestedState" Type="uint16" Random="false">
            <Value>5</Value>
        </Property>
        <Property Name="EnabledDefault" Type="uint16" Random="false">
            <Value>2</Value>
        </Property>
        <Property Name="TimeOfLastStateChange" Type="datetime" Random="false">
        </Property>
        <Property Name="InstallDate" Type="datetime" Random="false">
        </Property>
        <Property Name="OperationalStatus" Type="uint16[]" Random="false">
            <Value>2</Value>
        </Property>
        <Property Name="StatusDescriptions" Type="string[]" Random="false">
        </Property>
        <Property Name="Status" Type="string" Random="false">
        </Property>
        <Property Name="Caption" Type="string" Random="false">
            <Value>Storage Configuration Service</Value>
        </Property>
        <Property Name="Description" Type="string" Random="false">
            <Value>Storage Configuration Service</Value>
        </Property>
        <Property Name="ElementName" Type="string" Random="false">
            <Value>Storage Configuration Service</Value>
        </Property>
    </Class>
    
    <Class Name="LSISSI_StorageConfigurationCapabilities" Namespace="/root/lsissi" NOI="" CfgExp="[NUMBER_OF_STORAGE_SYSTEM]">
        <Property Name="SupportedAsynchronousActions" Type="uint16[]" Random="false">
            <Value>9,7,4</Value>
        </Property>
        <Property Name="SupportedSynchronousActions" Type="uint16[]" Random="false">
            <Value>5,6,2,3,8,9,10</Value>
        </Property>
        <Property Name="SupportedStorageElementTypes" Type="uint16[]" Random="false">
            <Value>2</Value>
        </Property>
        <Property Name="SupportedStoragePoolFeatures" Type="uint16[]" Random="false">
            <Value>2,3</Value>
        </Property>
        <Property Name="SupportedStorageElementFeatures" Type="uint16[]" Random="false">
            <Value>3,6</Value>
        </Property>
        <Property Name="SupportedCopyTypes" Type="uint16[]" Random="false">
            <Value>4</Value>
        </Property>
        <Property Name="InitialReplicationState" Type="uint16" Random="false">
            <Value>4</Value>
        </Property>
        <Property Name="InstanceID" Type="string" Random="false" Key="true" Refers="Name" External="LSISSI_StorageSystem" Prefix="" Suffix="_Storage Pool and Volume Configuration Service Capabilities">
            <Value>600A0B80000BC456000000003E4BEC53</Value>
        </Property>
        <Property Name="ElementName" Type="string" Random="false">
            <Value>Storage Configuration Service Capabilities
            </Value>
        </Property>
        <Property Name="Caption" Type="string" Random="false">
        </Property>
        <Property Name="Description" Type="string" Random="false">
        </Property>
    </Class>
    
    <Class Name="LSISSI_Chassis" Namespace="/root/lsissi" NOI="" CfgExp="[NUMBER_OF_STORAGE_SYSTEM]">
        <Property Name="OperationalStatus" Type="uint16[]" Random="false">
            <Value>2</Value>
        </Property>
        <Property Name="NumberOfPowerCords" Type="uint16" Random="false">
        </Property>
        <Property Name="CurrentRequiredOrProduced" Type="sint16" Random="false">
        </Property>
        <Property Name="HeatGeneration" Type="uint16" Random="false">
        </Property>
        <Property Name="ChassisTypes" Type="uint16[]" Random="false">
        </Property>
        <Property Name="TypeDescriptions" Type="string[]" Random="false">
        </Property>
        <Property Name="ChassisPackageType" Type="uint16" Random="false">
            <Value>18</Value>
        </Property>
        <Property Name="ChassisTypeDescription" Type="string" Random="false">
        </Property>
        <Property Name="MultipleSystemSupport" Type="uint16" Random="false">
            <Value>0</Value>
        </Property>
        <Property Name="RackMountable" Type="uint16" Random="false">
            <Value>1</Value>
        </Property>
        <Property Name="CableManagementStrategy" Type="string" Random="false">
        </Property>
        <Property Name="ServicePhilosophy" Type="uint16[]" Random="false">
        </Property>
        <Property Name="ServiceDescriptions" Type="string[]" Random="false">
        </Property>
        <Property Name="LockPresent" Type="boolean" Random="false">
        </Property>
        <Property Name="AudibleAlarm" Type="boolean" Random="false">
        </Property>
        <Property Name="VisibleAlarm" Type="boolean" Random="false">
        </Property>
        <Property Name="SecurityBreach" Type="uint16" Random="false">
        </Property>
        <Property Name="BreachDescription" Type="string" Random="false">
        </Property>
        <Property Name="IsLocked" Type="boolean" Random="false">
        </Property>
        <Property Name="RemovalConditions" Type="uint16" Random="false">
            <Value>2</Value>
        </Property>
        <Property Name="Removable" Type="boolean" Random="false">
        </Property>
        <Property Name="Replaceable" Type="boolean" Random="false">
        </Property>
        <Property Name="HotSwappable" Type="boolean" Random="false">
        </Property>
        <Property Name="Height" Type="real32" Random="false">
        </Property>
        <Property Name="Depth" Type="real32" Random="false">
        </Property>
        <Property Name="Width" Type="real32" Random="false">
        </Property>
        <Property Name="Weight" Type="real32" Random="false">
        </Property>
        <Property Name="Tag" Type="string" Random="false" Key="true" Refers="Name" External="LSISSI_StorageSystem" Prefix="" Suffix="_0">
        </Property>
        <Property Name="CreationClassName" Type="string" Random="false" Key="true">
            <Value>LSISSI_Chassis</Value>
        </Property>
        <Property Name="ElementName" Type="string" Random="false">
            <Value>Tray 0</Value>
        </Property>
        <Property Name="Manufacturer" Type="string" Random="false">
            <Value>IBM</Value>
        </Property>
        <Property Name="Model" Type="string" Random="false">
            <Value>3542</Value>
        </Property>
        <Property Name="SKU" Type="string" Random="false">
        </Property>
        <Property Name="SerialNumber" Type="string" Random="false">
            <Value>SN 23Y3343</Value>
        </Property>
        <Property Name="Version" Type="string" Random="false">
        </Property>
        <Property Name="PartNumber" Type="string" Random="false">
            <Value>PN 19K1220</Value>
        </Property>
        <Property Name="OtherIdentifyingInfo" Type="string" Random="false">
        </Property>
        <Property Name="PoweredOn" Type="boolean" Random="false">
        </Property>
        <Property Name="ManufactureDate" Type="datetime" Random="false">
            <Value>20021031160000.000000-480</Value>
        </Property>
        <Property Name="VendorEquipmentType" Type="string" Random="false">
        </Property>
        <Property Name="UserTracking" Type="string" Random="false">
        </Property>
        <Property Name="CanBeFRUed" Type="boolean" Random="false">
        </Property>
        <Property Name="InstallDate" Type="datetime" Random="false">
        </Property>
        <Property Name="Name" Type="string" Random="false">
            <Value>Tray 0</Value>
        </Property>
        <Property Name="StatusDescriptions" Type="string[]" Random="false">
        </Property>
        <Property Name="Status" Type="string" Random="false">
        </Property>
        <Property Name="Caption" Type="string" Random="false" Refers="Name">
        </Property>
        <Property Name="Description" Type="string" Random="false" Refers="Name">
        </Property>
    </Class>
    
    <Class Name="LSISSI_StorageProcessorSystem" Namespace="/root/lsissi" NOI="" CfgExp="[NUMBER_OF_STORAGE_SYSTEM]">
        <Property Name="ElementName" Type="string" Random="false">
            <Value>Controller in swarm-200 Tray 0 Slot B</Value>
        </Property>
        <Property Name="CacheMemorySize" Type="uint64" Random="false">
            <Value>88</Value>
        </Property>
        <Property Name="ProcessorMemorySize" Type="uint64" Random="false">
            <Value>40</Value>
        </Property>
        <Property Name="IsManageable" Type="boolean" Random="false">
        </Property>
        <Property Name="SystemName" Type="string" Random="false" Refers="Name" External="LSISSI_StorageSystem" Prefix="" Suffix="">
            <Value>600A0B80000BC456000000003E4BEC53</Value>
        </Property>
        <Property Name="NameFormat" Type="string" Random="false">
            <Value>Other</Value>
        </Property>
        <Property Name="OtherIdentifyingInfo" Type="string[]" Random="true" Seperator="." Multiple="true">
            <Value>2</Value>
			<Value>2</Value>
			<Value>2</Value>
			<Value>2</Value>
        </Property>
        <Property Name="IdentifyingDescriptions" Type="string[]" Random="false">
            <Value>IP Address</Value>
        </Property>
        <Property Name="Dedicated" Type="uint16[]" Random="false">
            <Value>3,15</Value>
        </Property>
        <Property Name="OtherDedicatedDescriptions" Type="string[]" Random="false">
        </Property>
        <Property Name="ResetCapability" Type="uint16" Random="false">
            <Value>4</Value>
        </Property>
        <Property Name="PowerManagementCapabilities" Type="uint16[]" Random="false">
        </Property>
        <Property Name="CreationClassName" Type="string" Random="false" Key="true">
            <Value>LSISSI_StorageProcessorSystem</Value>
        </Property>
        <Property Name="Name" Type="string" Random="false" Key="true" Refers="SystemName" Prefix="" Suffix="_1T23875042">
            <Value></Value>
        </Property>
        <Property Name="PrimaryOwnerName" Type="string" Random="false">
        </Property>
        <Property Name="PrimaryOwnerContact" Type="string" Random="false">
        </Property>
        <Property Name="Roles" Type="string[]" Random="false">
        </Property>
        <Property Name="EnabledState" Type="uint16" Random="false">
            <Value>5</Value>
        </Property>
        <Property Name="OtherEnabledState" Type="string" Random="false">
        </Property>
        <Property Name="RequestedState" Type="uint16" Random="false">
            <Value>5</Value>
        </Property>
        <Property Name="EnabledDefault" Type="uint16" Random="false">
            <Value>2</Value>
        </Property>
        <Property Name="TimeOfLastStateChange" Type="datetime" Random="false">
        </Property>
        <Property Name="InstallDate" Type="datetime" Random="false">
        </Property>
        <Property Name="OperationalStatus" Type="uint16[]" Random="false">
            <Value>2</Value>
        </Property>
        <Property Name="StatusDescriptions" Type="string[]" Random="false">
        </Property>
        <Property Name="Status" Type="string" Random="false">
        </Property>
        <Property Name="Caption" Type="string" Random="false" Refers="ElementName">
        </Property>
        <Property Name="Description" Type="string" Random="false" Refers="ElementName">
        </Property>
    </Class>
    
    <Class Name="LSISSI_ParentStoragePool" Namespace="/root/lsissi" NOI="" CfgExp="[NUMBER_OF_STORAGE_SYSTEM]">
        <Property Name="ElementName" Type="string" Random="false">
            <Value>Unassigned Storage Pool</Value>
        </Property>
        <Property Name="InstanceID" Type="string" Random="false" Key="true" Refers="Name" External="LSISSI_StorageSystem" Prefix="" Suffix="_Unassigned Storage Pool">
        </Property>
        <Property Name="PoolID" Type="string" Random="false" Refers="ElementName">
        </Property>
        <Property Name="Primordial" Type="boolean" Random="false">
            <Value>true</Value>
        </Property>
        <Property Name="TotalManagedSpace" Type="uint64" Random="true">
            <Value>8</Value>
        </Property>
        <Property Name="RemainingManagedSpace" Type="uint64" Random="false">
            <Value>0</Value>
        </Property>
        <Property Name="InstallDate" Type="datetime" Random="false">
        </Property>
        <Property Name="Name" Type="string" Random="false" Refers="ElementName">
        </Property>
        <Property Name="OperationalStatus" Type="uint16[]" Random="false">
            <Value>2</Value>
        </Property>
        <Property Name="StatusDescriptions" Type="string[]" Random="false">
        </Property>
        <Property Name="Status" Type="string" Random="false">
        </Property>
        <Property Name="Caption" Type="string" Random="false" Refers="ElementName">
        </Property>
        <Property Name="Description" Type="string" Random="false" Refers="ElementName">
        </Property>
    </Class>

    <Class Name="LSISSI_StoragePool" Namespace="/root/lsissi" NOI="" CfgExp="[NUMBER_OF_STORAGE_POOL]">
        <Property Name="ElementName" Type="string" Random="false" Incremental="true">
        </Property>
        <Property Name="RemainingManagedSpace" Type="uint64" Random="false">
            <Value>0</Value>
        </Property>
        <Property Name="OperationalStatus" Type="uint16[]" Random="false">
            <Value>2</Value>
        </Property>
        <Property Name="CreatedOutsideSMIS" Type="boolean" Random="false">
            <Value>true</Value>
        </Property>
        <Property Name="TotalLogicalSpace" Type="uint64" Random="true">
            <Value>8</Value>
        </Property>
        <Property Name="InstanceID" Type="string" Random="false" Key="true" Refers="true" Multiple="true">
        	<Value External="LSISSI_StorageSystem" Prefix="" Suffix="">Name</Value>
            <Value Prefix="_" Suffix="">ElementName</Value>
        </Property>
        <Property Name="PoolID" Type="string" Random="false">
            <Value>4</Value>
        </Property>
        <Property Name="Primordial" Type="boolean" Random="false">
            <Value>false</Value>
        </Property>
        <Property Name="TotalManagedSpace" Type="uint64" Random="true">
            <Value>8</Value>
        </Property>
        <Property Name="InstallDate" Type="datetime" Random="false">
        </Property>
        <Property Name="Name" Type="string" Random="false" Refers="Name" External="LSISSI_StorageSystem" Prefix="" Suffix="">
        </Property>
        <Property Name="StatusDescriptions" Type="string[]" Random="false">
        </Property>
        <Property Name="Status" Type="string" Random="false">
        </Property>
        <Property Name="Caption" Type="string" Random="false" Refers="ElementName">
        </Property>
        <Property Name="Description" Type="string" Random="false" Refers="ElementName">
        </Property>
    </Class>
    
    <Class Name="LSISSI_ParentStoragePoolCapabilities" Namespace="/root/lsissi" NOI="" CfgExp="[NUMBER_OF_STORAGE_SYSTEM]">
        <Property Name="ElementType" Type="uint16" Random="false">
            <Value>5</Value>
        </Property>
        <Property Name="NoSinglePointOfFailure" Type="boolean" Random="false">
            <Value>true</Value>
        </Property>
        <Property Name="NoSinglePointOfFailureDefault" Type="boolean" Random="false">
            <Value>true</Value>
        </Property>
        <Property Name="DataRedundancyMax" Type="uint16" Random="false">
            <Value>2</Value>
        </Property>
        <Property Name="DataRedundancyMin" Type="uint16" Random="false">
            <Value>1</Value>
        </Property>
        <Property Name="DataRedundancyDefault" Type="uint16" Random="false">
            <Value>1</Value>
        </Property>
        <Property Name="PackageRedundancyMax" Type="uint16" Random="false">
            <Value>1</Value>
        </Property>
        <Property Name="PackageRedundancyMin" Type="uint16" Random="false">
            <Value>0</Value>
        </Property>
        <Property Name="PackageRedundancyDefault" Type="uint16" Random="false">
            <Value>1</Value>
        </Property>
        <Property Name="DeltaReservationMax" Type="uint16" Random="false">
            <Value>100</Value>
        </Property>
        <Property Name="DeltaReservationMin" Type="uint16" Random="false">
            <Value>100</Value>
        </Property>
        <Property Name="DeltaReservationDefault" Type="uint16" Random="false">
            <Value>100</Value>
        </Property>
        <Property Name="InstanceID" Type="string" Random="false" Key="true" Refers="Name" External="LSISSI_StorageSystem" Prefix="" Suffix="">
        </Property>
        <Property Name="ElementName" Type="string" Random="false">
            <Value>Unassigned Storage Pool Capabilities</Value>
        </Property>
        <Property Name="Caption" Type="string" Random="false" Refers="ElementName">
        </Property>
        <Property Name="Description" Type="string" Random="false" Refers="ElementName">
        </Property>
    </Class>
    
    <Class Name="LSISSI_StoragePoolCapabilities" Namespace="/root/lsissi" NOI="" CfgExp="[NUMBER_OF_STORAGE_POOL]">
        <Property Name="ElementType" Type="uint16" Random="false">
            <Value>5</Value>
        </Property>
        <Property Name="NoSinglePointOfFailure" Type="boolean" Random="false">
            <Value>true</Value>
        </Property>
        <Property Name="NoSinglePointOfFailureDefault" Type="boolean" Random="false">
            <Value>true</Value>
        </Property>
        <Property Name="DataRedundancyMax" Type="uint16" Random="false">
            <Value>1</Value>
        </Property>
        <Property Name="DataRedundancyMin" Type="uint16" Random="false">
            <Value>1</Value>
        </Property>
        <Property Name="DataRedundancyDefault" Type="uint16" Random="false">
            <Value>1</Value>
        </Property>
        <Property Name="PackageRedundancyMax" Type="uint16" Random="false">
            <Value>1</Value>
        </Property>
        <Property Name="PackageRedundancyMin" Type="uint16" Random="false">
            <Value>1</Value>
        </Property>
        <Property Name="PackageRedundancyDefault" Type="uint16" Random="false">
            <Value>1</Value>
        </Property>
        <Property Name="DeltaReservationMax" Type="uint16" Random="false">
            <Value>100</Value>
        </Property>
        <Property Name="DeltaReservationMin" Type="uint16" Random="false">
            <Value>30</Value>
        </Property>
        <Property Name="DeltaReservationDefault" Type="uint16" Random="false">
            <Value>30</Value>
        </Property>
        <Property Name="InstanceID" Type="string" Random="false" Key="true" Refers="true" Multiple="true">
        	<Value External="LSISSI_StorageSystem" Prefix="" Suffix="_Storage Pool_">Name</Value>
            <Value External="LSISSI_StoragePool" Prefix="" Suffix="_Capabilities">ElementName</Value>        
        </Property>
        <Property Name="ElementName" Type="string" Random="false">
            <Value>RAID5</Value>
        </Property>
        <Property Name="Caption" Type="string" Random="false" Refers="ElementName" External="LSISSI_StoragePool" Prefix="Storage Pool " Suffix=" Capabilities">
        </Property>
        <Property Name="Description" Type="string" Random="false" Refers="Caption">
        </Property>
    </Class>
    
    <Class Name="LSISSI_ProtocolControllerMaskingCapabilities" Namespace="/root/lsissi" NOI="" CfgExp="[NUMBER_OF_STORAGE_SYSTEM]">
        <Property Name="InstanceID" Type="string" Random="false" Key="true" Refers="Name" External="LSISSI_StorageSystem" Prefix="" Suffix="">
        </Property>
        <Property Name="ValidHardwareIdTypes" Type="uint16[]" Random="false">
            <Value>2</Value>
        </Property>
        <Property Name="OtherValidHardwareIDTypes" Type="string[]" Random="false">
        </Property>
        <Property Name="PortsPerView" Type="uint16" Random="false">
            <Value>4</Value>
        </Property>
        <Property Name="ClientSelectableDeviceNumbers" Type="boolean" Random="false">
            <Value>true</Value>
        </Property>
        <Property Name="AttachDeviceSupported" Type="boolean" Random="false">
            <Value>true</Value>
        </Property>
        <Property Name="OneHardwareIDPerView" Type="boolean" Random="false">
            <Value>false</Value>
        </Property>
        <Property Name="UniqueUnitNumbersPerPort" Type="boolean" Random="false">
            <Value>false</Value>
        </Property>
        <Property Name="PrivilegeDeniedSupported" Type="boolean" Random="false">
            <Value>false</Value>
        </Property>
        <Property Name="ProtocolControllerRequiresAuthorizedIdentity" Type="boolean" Random="false">
            <Value>false</Value>
        </Property>
        <Property Name="ProtocolControllerSupportsCollections" Type="boolean" Random="false">
            <Value>true</Value>
        </Property>
        <Property Name="ElementName" Type="string" Random="false">
            <Value>Device masking capabilities</Value>
        </Property>
        <Property Name="Caption" Type="string" Random="false" Refers="ElementName">
        </Property>
        <Property Name="Description" Type="string" Random="false" Refers="ElementName">
        </Property>
    </Class>

    <!--
    	TODO

    <Class Name="LSISSI_ESM" Namespace="/root/lsissi" NOI="">
        <Property Name="NonredundantAccess" Type="boolean" Random="false">
            <Value>false</Value>
        </Property>
        <Property Name="WorkingChannel" Type="uint32" Random="false">
        </Property>
        <Property Name="ControllerType" Type="uint16" Random="false">
            <Value>4</Value>
        </Property>
        <Property Name="OtherControllerType" Type="string" Random="false">
        </Property>
        <Property Name="ControllerVersion" Type="uint16" Random="false">
        </Property>
        <Property Name="TimeOfLastReset" Type="datetime" Random="false">
        </Property>
        <Property Name="ProtocolSupported" Type="uint16" Random="false">
        </Property>
        <Property Name="MaxNumberControlled" Type="uint32" Random="false">
        </Property>
        <Property Name="ProtocolDescription" Type="string" Random="false">
        </Property>
        <Property Name="SystemCreationClassName" Type="string" Random="false" Key="true">
            <Value>LSISSI_StorageSystem</Value>
        </Property>
        <Property Name="SystemName" Type="string" Random="false" Key="true">
            <Value>600A0B80000BC456000000003E4BEC53</Value>
        </Property>
        <Property Name="CreationClassName" Type="string" Random="false" Key="true">
            <Value>LSISSI_ESM</Value>
        </Property>
        <Property Name="DeviceID" Type="string" Random="false" Key="true">
            <Value>600A0B80000BC456000000003E4BEC53_SN 1T21504687</Value>
        </Property>
        <Property Name="PowerManagementSupported" Type="boolean" Random="false">
        </Property>
        <Property Name="PowerManagementCapabilities" Type="uint16[]" Random="false">
        </Property>
        <Property Name="Availability" Type="uint16" Random="false">
        </Property>
        <Property Name="StatusInfo" Type="uint16" Random="false">
        </Property>
        <Property Name="LastErrorCode" Type="uint32" Random="false">
        </Property>
        <Property Name="ErrorDescription" Type="string" Random="false">
        </Property>
        <Property Name="ErrorCleared" Type="boolean" Random="false">
        </Property>
        <Property Name="OtherIdentifyingInfo" Type="string[]" Random="false">
        </Property>
        <Property Name="PowerOnHours" Type="uint64" Random="false">
        </Property>
        <Property Name="TotalPowerOnHours" Type="uint64" Random="false">
        </Property>
        <Property Name="IdentifyingDescriptions" Type="string[]" Random="false">
        </Property>
        <Property Name="AdditionalAvailability" Type="uint16[]" Random="false">
        </Property>
        <Property Name="MaxQuiesceTime" Type="uint64" Random="false">
        </Property>
        <Property Name="EnabledState" Type="uint16" Random="false">
            <Value>5</Value>
        </Property>
        <Property Name="OtherEnabledState" Type="string" Random="false">
        </Property>
        <Property Name="RequestedState" Type="uint16" Random="false">
            <Value>5</Value>
        </Property>
        <Property Name="EnabledDefault" Type="uint16" Random="false">
            <Value>2</Value>
        </Property>
        <Property Name="TimeOfLastStateChange" Type="datetime" Random="false">
        </Property>
        <Property Name="InstallDate" Type="datetime" Random="false">
        </Property>
        <Property Name="Name" Type="string" Random="false">
            <Value>ESM in Tray 1 Slot 2</Value>
        </Property>
        <Property Name="OperationalStatus" Type="uint16[]" Random="false">
            <Value>2</Value>
        </Property>
        <Property Name="StatusDescriptions" Type="string[]" Random="false">
        </Property>
        <Property Name="Status" Type="string" Random="false">
        </Property>
        <Property Name="Caption" Type="string" Random="false" Refers="Name">
            <Value>ESM in Tray 1 Slot 2</Value>
        </Property>
        <Property Name="Description" Type="string" Random="false" Refers="Name">
            <Value>ESM in Tray 1 Slot 2</Value>
        </Property>
        <Property Name="ElementName" Type="string" Random="false">
            <Value>"ESM in Tray 1 Slot 2"
            </Value>
        </Property>
    </Class>
    -->        
    <Class Name="LSISSI_ComponentCS" Namespace="/root/lsissi" NOI="" Association="true" AutoGenerate="true">
	    <Antecedent Name="GroupComponent" Namespace="/root/lsissi" ClassName="LSISSI_StorageSystem" Key="true"/>
		<Dependent Name="PartComponent" Namespace="/root/lsissi" ClassName="LSISSI_StorageProcessorSystem" Key="true"/>
		<!--
		<Mapping Type="Generic">
			<Map Antecedent="1">2</Map>
		</Mapping>
		-->
    </Class>
    
    <Class Name="LSISSI_ComputerSystemPackage" Namespace="/root/lsissi" NOI="" Association="true">
	    <Antecedent Name="Antecedent" Namespace="/root/lsissi" ClassName="LSISSI_Chassis" Key="true"/>
		<Dependent Name="Dependent" Namespace="/root/lsissi" ClassName="LSISSI_StorageSystem" Key="true"/>
        <Property Name="PlatformGUID" Type="string" Random="false">
        </Property>
    </Class>
    
    <Class Name="LSISSI_ElementCapabilities" Namespace="/root/lsissi" NOI="" Association="true">
	    <Antecedent Name="ManagedElement" Namespace="/root/lsissi" ClassName="LSISSI_StorageConfigurationService" Key="true"/>
		<Dependent Name="Capabilities" Namespace="/root/lsissi" ClassName="LSISSI_StorageConfigurationCapabilities" Key="true"/>
    </Class>
	
	<!--
	This class has repeated entries, since it has multiple associations.
	-->    
    <Class Name="LSISSI_ElementCapabilities" Namespace="/root/lsissi" NOI="" Association="true">
	    <Antecedent Name="ManagedElement" Namespace="/root/lsissi" ClassName="LSISSI_ParentStoragePool" Key="true"/>
		<Dependent Name="Capabilities" Namespace="/root/lsissi" ClassName="LSISSI_ParentStoragePoolCapabilities" Key="true"/>
    </Class>
	
	<!--
		This class has repeated entries, since it has multiple associations.
	-->    
    <Class Name="LSISSI_ElementCapabilities" Namespace="/root/lsissi" NOI="" Association="true">
	    <Antecedent Name="ManagedElement" Namespace="/root/lsissi" ClassName="LSISSI_StoragePool" Key="true"/>
		<Dependent Name="Capabilities" Namespace="/root/lsissi" ClassName="LSISSI_StoragePoolCapabilities" Key="true"/>
    </Class>
    
    <!--
	This class has repeated entries, since it has multiple associations.
	-->    
    <Class Name="LSISSI_ElementCapabilities" Namespace="/root/lsissi" NOI="" Association="true">
	    <Antecedent Name="ManagedElement" Namespace="/root/lsissi" ClassName="LSISSI_StorageSystem" Key="true"/>
		<Dependent Name="Capabilities" Namespace="/root/lsissi" ClassName="LSISSI_ProtocolControllerMaskingCapabilities" Key="true"/>
    </Class>
    
    <!--
	This class has repeated entries, since it has multiple associations.
    <Class Name="LSISSI_ElementCapabilities" Namespace="/root/lsissi" NOI="" Association="true">
	    <Antecedent Name="ManagedElement" Namespace="/root/lsissi" ClassName="LSISSI_BlockStatisticsService" Key="true"/>
		<Dependent Name="Capabilities" Namespace="/root/lsissi" ClassName="LSISSI_BlockStatisticsCapabilities" Key="true"/>
    </Class>
	
	<Class Name="LSISSI_InstalledSoftwareIdentity" Namespace="/root/lsissi" NOI="" Association="true">
		<Antecedent Name="System" Namespace="/root/lsissi" ClassName="LSISSI_ESM" Key="true"/>
		<Dependent Name="InstalledSoftware" Namespace="/root/lsissi" ClassName="LSISSI_SoftwareIdentity" Key="true"/>
    </Class>
	-->
</SAN_Simulator>